Subject: Re: linux-next: manual merge of the staging tree with the staging.current tree

From: Ian Abbott <[email-masked]>
Date: Thu, 25 Oct 2012 13:42:03 +0100

On 2012-10-25 03:19, Stephen Rothwell wrote:
> Hi Greg,
>
> Today's linux-next merge of the staging tree got a conflict in
> drivers/staging/comedi/drivers/amplc_dio200.c between commit dfb2540e91e1
> ("staging: comedi: amplc_dio200: fix possible NULL deref during detach")
> from the staging.current tree and commit 71b3e9e8dc21 ("staging: comedi:
> amplc_dio200: support memory-mapped I/O") from the staging tree.
>
> I fixed it up (the latter is a superset of the former) and can carry the
> fix as necessary (no action is required).

Sorry, I remember editing that while rebasing my patches.  I think I 
must have assumed the NULL deref patch had already been applied to 
Greg's "staging-next" branch, but it had in fact it had only been 
applied to his "staging-linus" branch.  I was editing various other bits 
while rebasing that patch series, so I never noticed that particular 
edit as being a conflict.

Apologies for the inconvenience it caused you.

-- 
-=( Ian Abbott @ MEV Ltd.    E-mail: <[email-masked]>        )=-
-=( Tel: +44 (0)161 477 1898   FAX: +44 (0)161 718 3587         )=-